package com.loafle.overflow.central.module.meta.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import com.loafle.overflow.model.meta.MetaDisplayItemMapping;

import java.util.List;

/**
 * Created by insanity on 17. 11. 7.
 */
@Repository
public interface MetaDisplayItemMappingDAO extends JpaRepository<MetaDisplayItemMapping, Short> {

  List<MetaDisplayItemMapping> findAllByMetaCrawlerMappingId(Long metaCrawlerMappingID);

  List<MetaDisplayItemMapping> findAllByMetaDisplayItemId(Long metaDisplayItemID);
}
